# This mono package produces an empty debuginfo package. Hence we disable it
%define debug_package %{nil}

Name:            gnome-guitar
Summary:         A small suite of applications for the guitarist
Version:         0.8.1
Release:         2%{?dist}
License:         GPLv3+
Group:           Applications/Multimedia
URL:             http://gnome-chord.sourceforge.net/
Source0:         http://downloads.sourceforge.net/gnome-chord/%{name}_cs-%{version}.tar.gz
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root
# Mono is not available in ppc64.
# https://bugzilla.redhat.com/show_bug.cgi?id=489435
ExcludeArch:     ppc64

BuildRequires:   desktop-file-utils
BuildRequires:   gnome-sharp-devel
BuildRequires:   gtk-sharp2-devel
BuildRequires:   ImageMagick
BuildRequires:   mono-devel

Requires(pre):   GConf2
Requires(post):  GConf2
Requires(preun): GConf2


%description
Gnome Guitar is chord and scale database for gnome. It can be used as a stand
alone application (for example you could use it to find how to play a specific
chord or scale) or it can integrate with other applications to provide chord
selection and rendering. 

%package devel
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      pkgconfig
Requires:      %{name} = %{version}-%{release}

%description devel
Gnome Guitar is chord and scale database for gnome. It can be used as a stand
alone application (for example you could use it to find how to play a specific
chord or scale) or it can integrate with other applications to provide chord
selection and rendering.

This package contains pkg-config files for developing applications that will
use Gnome Guitar.

%prep
%setup -q -n %{name}_cs-%{version}

# Fix permission
chmod 644 gnome-chord/gpl-3.0.txt

# Add pixmaps to the desktop files
echo "Icon=gnome-chord" >> gnome-chord/gnome-chord.desktop
echo "Icon=gnome-scale" >> gnome-scale/gnome-scale.desktop

%build
%configure --disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# The provided fonts are non-square. We iron them out with some Magick
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/64x64/apps/
convert gnome-chord/pixmaps/gnome-chord-logo.png -resize 64x64\! \
        $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/64x64/apps/gnome-chord.png
convert gnome-scale/pixmaps/gnome-scale-logo.png -resize 64x64\! \
        $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/64x64/apps/gnome-scale.png

desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-chord.desktop
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-scale.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
   %{_sysconfdir}/gconf/schemas/libgnomeguitar.schemas >/dev/null || :
fi

%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
   %{_sysconfdir}/gconf/schemas/libgnomeguitar.schemas > /dev/null || :
fi

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
   %{_sysconfdir}/gconf/schemas/libgnomeguitar.schemas > /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc gnome-chord/gpl-3.0.txt
%config %{_sysconfdir}/gconf/schemas/libgnomeguitar.schemas
%{_bindir}/gnome-chord
%{_bindir}/gnome-scale
%{_libdir}/%{name}_cs/
%{_datadir}/applications/gnome-chord.desktop
%{_datadir}/applications/gnome-scale.desktop
%{_datadir}/icons/hicolor/64x64/apps/gnome-chord.png
%{_datadir}/icons/hicolor/64x64/apps/gnome-scale.png

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/libgnomeguitar.pc
%{_libdir}/pkgconfig/libgnomeguitarui.pc

%changelog
* Mon Mar 09 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.8.1-2
- Add ExcludeArch:ppc64 since mono is not available in this architecture.
- devel subpackage requires pkgconfig

* Sat Mar 07 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.8.1-1
- Initial build
